Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,781,609 Members 42,265 Now Online
XDA Developers Android and Mobile Development Forum

[Q] 2.6 on Nexus 7 2013 cause many error logs and modules not work

Tip us?
 
Cye3s
Old
(Last edited by Cye3s; 18th May 2014 at 06:45 AM.)
#1  
Cye3s's Avatar
Member - OP
Thanks Meter 12
Posts: 36
Join Date: Jan 2011
Default [Q] 2.6 on Nexus 7 2013 cause many error logs and modules not work

Update installer to 2.6, then update framework and reboot, some modules did not work any more.
There are many errors roll out on Log, check Attach Files please

BTW: Same error on my SCH-I535 with CM 11.0 M6

Back to 2.5.1, everything is fine.
Attached Files
File Type: zip xposed_error_20140518_132807.zip - [Click for QR Code] (19.6 KB, 11 views)
 
rovo89
Old
#2  
rovo89's Avatar
Senior Recognized Developer
Thanks Meter 13,937
Posts: 2,367
Join Date: Jan 2012
There seems to be exactly one error that is reported over and over again:
Code:
java.lang.IllegalAccessError: tried to access class com.android.server.pm.PackageSetting from class com.android.server.pm.a
	at com.android.server.pm.a.a(SourceFile:10)
	at com.oasisfeng.greenify.pro.a.r.a(SourceFile:35)
	at com.oasisfeng.greenify.pro.a.s.beforeHookedMethod(SourceFile:20)
That's probably an unintended (but accepted) side-effect of removing a hackish modification. Please point the developer to this: http://forum.xda-developers.com/xpos...7/post52659475
Tired of updating your mod for every new ROM release?
You want give users the possibility to combine different mods without creating tons of different files for all possible combinations?
Then have a look at my Xposed framework - modifications without APK changes!
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes